/*
 * Copyright 2002-2019 Drew Noakes and contributors
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 * More information about this project is available at:
 *
 *    https://drewnoakes.com/code/exif/
 *    https://github.com/drewnoakes/metadata-extractor
 */
package com.drew.imaging.png;

import com.drew.imaging.ImageProcessingException;
import com.drew.lang.annotations.Nullable;

/**
 * An exception class thrown upon unexpected and fatal conditions while processing a JPEG file.
 *
 * @author Drew Noakes https://drewnoakes.com
 */
public class PngProcessingException extends ImageProcessingException
{
    private static final long serialVersionUID = -687991554932005033L;

    public PngProcessingException(@Nullable String message)
    {
        super(message);
    }

    public PngProcessingException(@Nullable String message, @Nullable Throwable cause)
    {
        super(message, cause);
    }

    public PngProcessingException(@Nullable Throwable cause)
    {
        super(cause);
    }
}
